// Some helpful links I used
// https://docs.arduino.cc/learn/electronics/servo-motors
// https://www.arduino.cc/reference/en/libraries/irremote
// https://create.arduino.cc/projecthub/ingo-lohs/first-test-super-starterkit-from-elegoo-infrared-ab4272

#include "Servo.h"        //Servo library, neccessary for controlling servo, make sure it is installed in Tools > Manage Libraries
#include "IRremote.h"     //IR Remote library, neccessary for using the remote and module, install it in Tools > Manage Libraries

Servo topServo;           //servo object for top servo, when active it will push the light switch to turn on
Servo bottomServo;        //servo object for bottom servo, when active it will push the light switch to turn off

int reciever = 11;         //reciever is linked to pin 11
IRrecv irrecv(reciever);  //creates instance of 'irrecv'
decode_results results;      // create instance of 'decode_results'

void setup() {
  // put your setup code here, to run once:
  irrecv.enableIRIn();            //starts reciever

  topServo.attach(10);            //links pin 10 to top servo
  bottomServo.attach(9);          //links pin 9 to bottom servo
  topServo.write(90);         //moves top servo to the center
  bottomServo.write(90);   //moves bottom servo to the center
  
}

void translateIR(){ // takes action based on IR code received

// describing Remote IR codes 

  switch(results.value)

  {
  case 0xFFE01F:    

  bottomServo.write(0);
  topServo.write(90);
  delay(500);
  bottomServo.write(90);
  
  break;
  
  case 0xFF906F:

  bottomServo.write(90);
  topServo.write(180);
  delay(500);
  topServo.write(90);
  
  break;


  default: 

  break;

  }// End Case
  delay(100); // Do not get immediate repeat
}

void loop() {
  // put your main code here, to run repeatedly:
{
  if (irrecv.decode(&results)) // have we received an IR signal?

  {
    translateIR(); 
    irrecv.resume(); // receive the next value
  }  
}

}
